<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 
	if(!isset($_SESSION)) session_start();
 
	require_once "../core/core_classes.php";
	require_once "../config.php";
	$user = json_decode($_SESSION['user']);
	
	require_once '../assets/plugins/dompdf/autoload.inc.php';
	use Dompdf\Dompdf;

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {
			
		case 'consultarXestado':

			$pNidEmpresa = $user->nidEmpresa;
			$pEstado = filter_input(INPUT_POST, 'pEstado');
			
			$stmt = $conn->prepare("call servicios_consultasxEstado($pNidEmpresa,$pEstado)");			
			$stmt->execute();			
						
			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_servicio();
				$respuesta->nid = $row["IdServicio"];
				$respuesta->nidEmpresa = $row["IdEmpresa"];    
				$respuesta->codigo = $row["CodigoTrazabilidad"];	
				$respuesta->importador = $row["Importador"];	
				$respuesta->cliente = $row["NomCliente"];	
				$respuesta->personalCliente = $row["NomCliPersonal"];
				$respuesta->tipoCarga = $row["NomTipoCarga"];
				$respuesta->imo = $row["DESCIMO"];	
				$respuesta->dimencion = $row["NomDimension"];	
				$respuesta->contenedor = $row["Contenedor"];	
				$respuesta->selloOriginal = $row["SelloOriginal"];	
				$respuesta->selloNuevo = $row["SelloNuevo"];
				$respuesta->cantidad = $row["Cantidad"];	
				$respuesta->peso = $row["Peso"];
				$respuesta->tipoServicio = $row["NomTipoServicio"];
				$respuesta->notasCantidad = $row["notasCantidad"];	
				$respuesta->utilizaCanino = $row["USACANINO"];	
				$respuesta->notasCarga = $row["notasCarga"];	
				$respuesta->revisionIntrusiva = $row["USAREVINTRUSA"];	
				$respuesta->muestreo = $row["USAMUESTREO"];		
				$respuesta->observacionesMuestreo = $row["ObservacionesMuestreo"];
				$respuesta->clienteFacturar = $row["ClienteFacturar"];
				$respuesta->montoServicio = $row["MontoServicio"];
				$respuesta->montoMaterial = $row["MontoMAterial"];
				$respuesta->montoTotal = $row["MontoTotal"];
				$respuesta->fechaRegistro = $row["FechaCaptura"];
				$respuesta->estado = $row["DESCESTADO"];
				
	
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;

		case 'consultarXid':

			$pNidEmpresa = $user->nidEmpresa;
			$pNidServicio = filter_input(INPUT_POST, 'pNidServicio');
			
			$stmt = $conn->prepare("call servicios_consultasxId($pNidEmpresa,$pNidServicio)");			
			$stmt->execute();			
						
			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_servicio();
				$respuesta->nid = $row["IdServicio"];
				$respuesta->nidEmpresa = $row["IdEmpresa"];    
				$respuesta->codigo = $row["CodigoTrazabilidad"];	
				$respuesta->importador = $row["Importador"];	
				$respuesta->cliente = $row["NomCliente"];	
				$respuesta->personalCliente = $row["NomCliPersonal"];
				$respuesta->tipoCarga = $row["NomTipoCarga"];
				$respuesta->imo = $row["DESCIMO"];	
				$respuesta->dimencion = $row["NomDimension"];	
				$respuesta->contenedor = $row["Contenedor"];	
				$respuesta->selloOriginal = $row["SelloOriginal"];	
				$respuesta->selloNuevo = $row["SelloNuevo"];
				$respuesta->cantidad = $row["Cantidad"];	
				$respuesta->peso = $row["Peso"];
				$respuesta->tipoServicio = $row["NomTipoServicio"];
				$respuesta->cantidadDesconsolidar = $row["NomDesMedida"];
				$respuesta->notasCantidad = $row["notasCantidad"];	
				$respuesta->utilizaCanino = $row["USACANINO"];	
				$respuesta->notasCarga = $row["notasCarga"];	
				$respuesta->revisionIntrusiva = $row["USAREVINTRUSA"];	
				$respuesta->muestreo = $row["USAMUESTREO"];		
				$respuesta->observacionesMuestreo = $row["ObservacionesMuestreo"];
				$respuesta->clienteFacturar = $row["ClienteFacturar"];
				$respuesta->montoServicio = $row["MontoServicio"];
				$respuesta->montoMaterial = $row["MontoMAterial"];
				$respuesta->montoTotal = $row["MontoTotal"];
				$respuesta->fechaRegistro = $row["FechaCaptura"];
				$respuesta->estado = $row["DESCESTADO"];
				
	
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
		case 'consultarPedimentos':

			//$pNidEmpresa = $user->nidEmpresa;
			$pNidEmpresa = 1;
			$pNidServicio = filter_input(INPUT_POST, 'pNidServicio');
			
			$stmt = $conn->prepare("call servicios_pedimentos_consulta($pNidEmpresa,$pNidServicio)");			
			$stmt->execute();			
						
			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_servicio_pedimentos();
				$respuesta->nid = $row["IdSerPedi"];
				$respuesta->pedimento = $row["Pedimento"];    
				$respuesta->referencia = $row["Referencia"];			
	
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
		case 'consultarMaterial':

			$pNidEmpresa = $user->nidEmpresa;
			$pNidServicio = filter_input(INPUT_POST, 'pNidServicio');
			
			$stmt = $conn->prepare("call servicios_material_consulta($pNidEmpresa,$pNidServicio)");			
			$stmt->execute();			
						
			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_servicio_materiales();
				$respuesta->nid = $row["IdSerMaterial"];
				$respuesta->material = $row["DescMaterial"];    
				$respuesta->cantidad = $row["Cantidad"];			
				$respuesta->unm = $row["DescUnidad"];
	
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;

		case 'consultarPersonal':

			$pNidEmpresa = $user->nidEmpresa;
			$pNidServicio = filter_input(INPUT_POST, 'pNidServicio');
			
			$stmt = $conn->prepare("call servicios_personal_moversa_consulta($pNidEmpresa,$pNidServicio)");			
			$stmt->execute();			
						
			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_servicio_materiales();
				$respuesta->nid = $row["IdSerPersonal"];
				$respuesta->nombre = $row["NomEmpleado"];    
	
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
		case 'consultarBitacora':

			$pNidEmpresa = $user->nidEmpresa;
			$pNidServicio = filter_input(INPUT_POST, 'pNidServicio');
			
			$stmt = $conn->prepare("call servicios_eventos_consulta($pNidEmpresa,$pNidServicio)");			
			$stmt->execute();			
						
			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_servicio_materiales();
				$respuesta->nid = $row["IdSerEvento"];
				$respuesta->descripcion = $row["NomTipoEvento"];
				$respuesta->fecha = $row["Fecha_Hora"];				
	
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;				
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
